<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Implementing Encrypted C2 Channels — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `certs --type <val> --cn <val>` | Generate C2 certificates |
| `configure --encryption <val> --pinning <val>` | Configure encrypted C2 channel |
| `test --proxy <val> --verify <val>` | Test against TLS inspection |
| `verify --component <val>` | Verify encryption status |
| `report --format <val>` | Generate encrypted C2 report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--type` | string | Yes | Type parameter |
| `--cn` | string | Yes | Cn parameter |
| `--encryption` | string | Yes | Encryption parameter |
| `--pinning` | string | Yes | Pinning parameter |
| `--proxy` | string | Yes | Proxy parameter |
| `--verify` | string | Yes | Verify parameter |
| `--component` | string | Yes | Component parameter |
| `--format` | string | Yes | Format parameter |
